Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenFeatureValueSpec

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenFeatureInitializer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenFeatureValueSpecImpl

    public interface GenFeatureValueSpec

extends GenFeatureInitializer

A representation of the model object 'Gen Feature Value Spec'. Value specification associated with a specific feature

The following features are supported:

- `Value`

See Also:
  `GMFGenPackage.getGenFeatureValueSpec()`
** Generated **
Model:

Method Summary
`ValueExpression` `getValue()` Returns the value of the 'Value' reference
`void` `setValue(ValueExpression value)` Sets the value of the '`Value`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenFeatureInitializer
`getFeature, getFeatureSeqInitializer, setFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    ValueExpression getValue()

  Returns the value of the 'Value' reference.

  If the meaning of the 'Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' reference.
  See Also:
    `setValue(ValueExpression)`, `GMFGenPackage.getGenFeatureValueSpec_Value()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='context' ocl='featureSeqInitializer.elementClass'"

### setValue

    void setValue(ValueExpression value)

  Sets the value of the '`Value`' reference.

  Parameters:
    `value` - the new value of the 'Value' reference.
  See Also:
    `getValue()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.